<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>NonRisingVisitor (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NonRisingVisitor (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/visitor/LayerVisitor.html" title="class in com.sk89q.worldedit.function.visitor"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/function/visitor/RecursiveVisitor.html" title="class in com.sk89q.worldedit.function.visitor"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/visitor/NonRisingVisitor.html" target="_top">Frames</a></li>
<li><a href="NonRisingVisitor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.com.sk89q.worldedit.function.visitor.RecursiveVisitor">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.function.visitor</div>
<h2 title="Class NonRisingVisitor" class="title">Class NonRisingVisitor</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/sk89q/worldedit/function/visitor/BreadthFirstSearch.html" title="class in com.sk89q.worldedit.function.visitor">com.sk89q.worldedit.function.visitor.BreadthFirstSearch</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/sk89q/worldedit/function/visitor/RecursiveVisitor.html" title="class in com.sk89q.worldedit.function.visitor">com.sk89q.worldedit.function.visitor.RecursiveVisitor</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.function.visitor.NonRisingVisitor</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">NonRisingVisitor</span>
extends <a href="../../../../../com/sk89q/worldedit/function/visitor/RecursiveVisitor.html" title="class in com.sk89q.worldedit.function.visitor">RecursiveVisitor</a></pre>
<div class="block">A <a href="../../../../../com/sk89q/worldedit/function/visitor/RecursiveVisitor.html" title="class in com.sk89q.worldedit.function.visitor"><code>RecursiveVisitor</code></a> that goes orthogonally to the side and down, but never up.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/visitor/NonRisingVisitor.html#NonRisingVisitor-com.sk89q.worldedit.function.mask.Mask-com.sk89q.worldedit.function.RegionFunction-">NonRisingVisitor</a></span>(<a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;mask,
                <a href="../../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function">RegionFunction</a>&nbsp;function)</code>
<div class="block">Create a new recursive visitor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.function.visitor.RecursiveVisitor">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.function.visitor.<a href="../../../../../com/sk89q/worldedit/function/visitor/RecursiveVisitor.html" title="class in com.sk89q.worldedit.function.visitor">RecursiveVisitor</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/function/visitor/RecursiveVisitor.html#isVisitable-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.math.BlockVector3-">isVisitable</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.function.visitor.BreadthFirstSearch">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.function.visitor.<a href="../../../../../com/sk89q/worldedit/function/visitor/BreadthFirstSearch.html" title="class in com.sk89q.worldedit.function.visitor">BreadthFirstSearch</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/function/visitor/BreadthFirstSearch.html#addAxes--">addAxes</a>, <a href="../../../../../com/sk89q/worldedit/function/visitor/BreadthFirstSearch.html#addDiagonal--">addDiagonal</a>, <a href="../../../../../com/sk89q/worldedit/function/visitor/BreadthFirstSearch.html#addStatusMessages-java.util.List-">addStatusMessages</a>, <a href="../../../../../com/sk89q/worldedit/function/visitor/BreadthFirstSearch.html#cancel--">cancel</a>, <a href="../../../../../com/sk89q/worldedit/function/visitor/BreadthFirstSearch.html#getAffected--">getAffected</a>, <a href="../../../../../com/sk89q/worldedit/function/visitor/BreadthFirstSearch.html#getDirections--">getDirections</a>, <a href="../../../../../com/sk89q/worldedit/function/visitor/BreadthFirstSearch.html#resume-com.sk89q.worldedit.function.operation.RunContext-">resume</a>, <a href="../../../../../com/sk89q/worldedit/function/visitor/BreadthFirstSearch.html#visit-com.sk89q.worldedit.math.BlockVector3-">visit</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="NonRisingVisitor-com.sk89q.worldedit.function.mask.Mask-com.sk89q.worldedit.function.RegionFunction-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>NonRisingVisitor</h4>
<pre>public&nbsp;NonRisingVisitor(<a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;mask,
                        <a href="../../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function">RegionFunction</a>&nbsp;function)</pre>
<div class="block">Create a new recursive visitor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mask</code> - the mask</dd>
<dd><code>function</code> - the function</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/visitor/LayerVisitor.html" title="class in com.sk89q.worldedit.function.visitor"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/function/visitor/RecursiveVisitor.html" title="class in com.sk89q.worldedit.function.visitor"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/visitor/NonRisingVisitor.html" target="_top">Frames</a></li>
<li><a href="NonRisingVisitor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.com.sk89q.worldedit.function.visitor.RecursiveVisitor">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
